%define with_carol 0
%define with_jotm 0

Name:          xapool
Version:       1.5.0
Release:       %mkrel 1
Summary:       XA database connection pool
Group:         Development/Java
License:       LGPL
Url:           http://xapool.ow2.org/
Source0:       http://download.forge.objectweb.org/xapool/xapool-%{version}-src.tgz
Source1:       http://repo1.maven.org/maven2/com/experlog/xapool/%{version}/xapool-%{version}.pom
Patch0:        xapool-1.5.0-build_xml.patch
BuildRequires: ant
BuildRequires: apache-commons-logging
BuildRequires: geronimo-j2ee-connector-1_5-api
BuildRequires: geronimo-jta-1.0.1B-api
%if %with_carol
# circular deps
BuildRequires: carol
%endif
BuildRequires: hsqldb
BuildRequires: java-devel
%if %with_jotm
# circular deps
BuildRequires: jotm
%endif
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: p6spy
BuildRequires: howl-logger
BuildRequires: jpackage-utils

Requires:      jpackage-utils

BuildArch:     noarch

%description
XAPool is an XA database connection pool. XAPool implements javax.sql.XADataSource, and
provides connection pooling facilities. XAPool allows to pool objects, JDBC connections and
XA connections.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
XAPool - XA database connection pool.

This package contains javadoc for %{name}.

%prep
%setup -q -n xapool-%{version}-src

chmod -R go=u-w *

%patch0 -p1

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

pushd externals
%if %with_carol
  ln -sf $(build-classpath carol/ow_carol) carol.jar
%endif
%if %with_jotm
  ln -sf $(build-classpath jotm/jotm) jotm.jar
  ln -sf $(build-classpath jotm/jotm_jrmp_stubs) jotm_jrmp_stubs.jar
%endif
  ln -sf $(build-classpath howl-logger) howl.jar
  ln -sf $(build-classpath commons-logging) commons-logging.jar
  ln -sf $(build-classpath geronimo-j2ee-connector-1.5-api) connector-1_5.jar
  ln -sf $(build-classpath geronimo-jta-1.0.1B-api) jta-spec1_0_1.jar
  ln -sf $(build-classpath log4j) log4j.jar
  ln -sf $(build-classpath junit) junit.jar
  ln -sf $(build-classpath p6spy) p6spy.jar

# mv externals/jonas_timer.jar.no
# mv externals/idb.jar.no
# mv externals/classes12.jar.no oracle-jdbc-thin
popd

ln -sf $(build-classpath hsqldb) test/jotmxapooltest/lib/hsqldb.jar

%build
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath commons-logging howl-logger log4j hsqldb)
CLASSPATH=$CLASSPATH:$(build-classpath geronimo-j2ee-connector-1.5-api geronimo-jta-1.0.1B-api)
%if %with_carol
CLASSPATH=$CLASSPATH:$(build-classpath carol/ow_carol)
%endif
%if %with_jotm
CLASSPATH=$CLASSPATH:$(build-classpath jotm/jotm jotm/jotm_jrmp_stubs)
%endif
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 

%install
mkdir -p %{buildroot}%{_javadir}

install -m 644 output/dist/lib/xapool.jar \
  %{buildroot}%{_javadir}/xapool-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap com.experlog xapool %{version} JPP xapool
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-xapool.pom

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/xapool-%{version}
cp -pr output/dist/jdoc/* %{buildroot}%{_javadocdir}/xapool-%{version}
ln -s xapool-%{version} %{buildroot}%{_javadocdir}/xapool

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/xapool-%{version}.jar
%{_javadir}/xapool.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/xapool-%{version}
%{_javadocdir}/xapool



%changelog

* Tue Oct 18 2011 dmorgan <dmorgan> 1.5.0-1.mga2
+ Revision: 156330
- Add howl-logger as Buildrequires

  + gil <gil>
    - imported package xapool


* Sat Jun 25 2011 gil <gil> 1.5.0-0.%%mkrel
- initial rpm